﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace NaslSKakunov
{
    interface Plants
    {
        void inputInfo();
        string outputInfo();
        void suitability();
    }

    internal class Flowers : Plants //Цветы
    {
        protected string type;
        //ввод информации
        public void inputInfo()
        {
            Console.Write("Вид: ");
            type = Console.ReadLine();
        }
        //вывод информации
        public virtual string outputInfo()
        {
            return "Вид растения: " + type;
        }
        //пригодность цветка к росту
        public void suitability()
        {
            Console.WriteLine("Цветок засох?");
            string b = Console.ReadLine().ToLower(); //ввод и приведение к одному регистру
            if (b == "да" || b == "yes" || b == "true") // сравнение с возможными вариантами
            {
                Console.WriteLine("Цветок не растет"); // итог
            }
            else
            {
                Console.WriteLine("Цветок растет");  // итог
            }
        }
    }
    internal class IndoorFlowers : Flowers
    {
        string name; //Название цветка
        //переопределение метода ввод информации
        new public void inputInfo()
        {
            base.type = "Комнатный цветок"; //передаем определенное значение
            Console.Write("Цвет: ");
            name = Console.ReadLine();
        }
        //замещение метода вывод информации
        public override string outputInfo()
        {
            return base.outputInfo() + "\nЦвет: " + name;
        }
    }
}

